Package ghidra.features.base.replace

# Class SearchAndReplacePlugin

java.lang.Object
ghidra.framework.plugintool.Plugin
ghidra.app.plugin.ProgramPlugin
ghidra.features.base.replace.SearchAndReplacePlugin

All Implemented Interfaces:
  `PluginEventListener`, `ServiceListener`, `ExtensionPoint`

public class SearchAndReplacePlugin extends ProgramPlugin
Plugin to perform search and replace operations for many different program element types such as labels, functions, classes, datatypes, memory blocks, and more.

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.ProgramPlugin

  `currentHighlight, currentLocation, currentProgram, currentSelection`

  ### Fields inherited from class ghidra.framework.plugintool.Plugin

  `name, pluginDescription, tool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchAndReplacePlugin(PluginTool plugintool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `programClosed(Program program)`
  Subclasses should override this method if it is interested when a program is closed.

  ### Methods inherited from class ghidra.app.plugin.ProgramPlugin

  `getCurrentProgram, getProgramHighlight, getProgramLocation, getProgramSelection, goTo, goTo, highlightChanged, locationChanged, postProgramActivated, processEvent, programActivated, programDeactivated, programOpened, selectionChanged, setSelection`

  ### Methods inherited from class ghidra.framework.plugintool.Plugin

  `accept, acceptData, canClose, canCloseDomainObject, cleanup, close, dataStateRestoreCompleted, dependsUpon, deregisterService, dispose, equals, eventSent, firePluginEvent, getData, getMissingRequiredServices, getName, getPluginDescription, getServicesRequired, getSupportedDataTypes, getTool, getTransientState, getUndoRedoState, hashCode, hasMissingRequiredService, hasUnsaveData, init, internalRegisterEventConsumed, isDisposed, prepareToSave, readConfigState, readDataState, registerDynamicServiceProvided, registerServiceProvided, restoreTransientState, restoreUndoRedoState, saveData, serviceAdded, serviceRemoved, writeConfigState, writeDataState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchAndReplacePlugin

    public SearchAndReplacePlugin(PluginTool plugintool)

- ## Method Details

  - ### programClosed

    protected void programClosed(Program program)
    Description copied from class: `ProgramPlugin`
    Subclasses should override this method if it is interested when a program is closed. This event has no affect on the "current Program". A "programDeactivated" call will occur that affects the active program.
    Overrides:
      `programClosed` in class `ProgramPlugin`
    Parameters:
      `program` - the program being closed.